# norootforbuild

%define peardir %(pear config-get php_dir 2> /dev/null)
%define xmldir  %{_var}/lib/pear

Name:				php5-pear-numbers_words
Version:			0.15.0
Release:			1.5
Summary:			Provides methods for spelling numerals in words
License:			PHP License
Group:			Productivity/Networking/Web/Servers
Url:				http://pear.php.net/package/Numbers_Words
Source0:			http://pear.php.net/get/Numbers_Words-%{version}.tgz
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
Packager:		Marcus Hüwe <suse-tux@gmx.de>

PreReq:			php5-pear
BuildRequires:	php5-pear

%description
With Numbers_Words class you can convert numbers
written in arabic digits to words in several languages.
You can convert an integer between -infinity and infinity.

Authors:
--------
	Piotr Klaban
	Marcelo Subtil Marcal

%prep
%setup -c -T
pear -v -c pearrc \
		  -d php_dir=%{peardir} \
		  -d doc_dir=/docs \
   	  -d bin_dir=%{_bindir} \
		  -d data_dir=%{peardir}/data \
		  -d test_dir=%{peardir}/tests \
		  -d ext_dir=%{_libdir} \
		  -s

%build
%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
%__rm -rf %{buildroot}/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}
%__mv %{buildroot}/docs .

# Install XML package description
%__mkdir_p %{buildroot}%{xmldir}
%__tar -xzf %{SOURCE0} package.xml
%__cp package.xml %{buildroot}%{xmldir}/Numbers_Words.xml

%clean
%__rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Numbers_Words.xml

%postun
if [ "$1" -eq "0" ]; then
	pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Numbers_Words
fi

%files
%defattr(-, root, root)
%doc docs/Numbers_Words
%dir %{peardir}/Numbers
%dir %{peardir}/Numbers/Words
%dir %{peardir}/tests
%dir %{peardir}/tests/Numbers_Words
%dir %{peardir}/tests/Numbers_Words/tests
%{peardir}/Numbers/Words.php
%{peardir}/Numbers/Words/lang.*.php
%{peardir}/tests/Numbers_Words/tests/*.php
%{_var}/lib/pear/Numbers_Words.xml

%changelog
* Wed Oct 24 2007 Marcus Hüwe <suse-tux@gmx.de>
- initial build
